const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Deiyai',
    'Kabupaten Dogiyai',
    'Kabupaten Intan Jaya',
    'Kabupaten Mimika',
    'Kabupaten Nabire',
    'Kabupaten Paniai',
    'Kabupaten Puncak',
    'Kabupaten Puncak Jaya'

    // 8
];

exports.seedPapuaTengahCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Papua Tengah' },
    });

    if (!province) {
        console.error('❌ Province Papua Tengah not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Papua Tengah City seeded!.');
};